# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - taskgraph.transforms.from_deps
    - gecko_taskgraph.transforms.mac_notarization
    - gecko_taskgraph.transforms.name_sanity
    - gecko_taskgraph.transforms.signing
    - gecko_taskgraph.transforms.task

kind-dependencies:
    - build-mac-signing

only-for-attributes:
    - shippable

task-defaults:
    run-on-repo-type: [hg]

tasks:
    build-mac-notarization:
        from-deps:
            group-by: single-with-filters
            copy-attributes: true
        treeherder:
            symbol: BMN
        upstream-artifacts:
            - taskType: signing
              paths:
                  - public/build/target.tar.gz
                  - public/build/target.pkg
              formats: ["apple_notarization_stacked"]
              taskId:
                  task-reference: <build-mac-signing>
